Bug 1841080 - Short startingDeadlineSeconds might make pruner job not to trigger in time
Summary: Short startingDeadlineSeconds might make pruner job not to trigger in time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 10:19 UTC by Ricardo Maraschini
Modified: 2020-07-13 17:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:42:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 565 0 None closed Bug 1841080: Increasing default startingDeadlineSeconds 2020-10-12 20:14:28 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:42:44 UTC

Description Ricardo Maraschini 2020-05-28 10:19:46 UTC
According to Kubernetes documentation[1] startingDeadlineSeconds "stands for the deadline in seconds for starting the job if it misses its scheduled time for any reason. After the deadline, the cron job does not start the job. Jobs that do not meet their deadline in this way count as failed jobs."

By default our prune job is being configured with this parameter set to 60 seconds, and according to discussions[2], due to performance constraints, the job may not be spawned in time.

We need to increase the default value to assure pruner job will run

[1] https://kubernetes.io/docs/tasks/job/automated-tasks-with-cron-jobs/
[2] https://coreos.slack.com/archives/CHY2E1BL4/p1590525101216400

Comment 3 Wenjing Zheng 2020-06-01 09:04:08 UTC
Verified on 4.5.0-0.nightly-2020-05-30-025738:
$ oc get cronjob image-pruner -o yaml | grep startingDeadlineSeconds
        f:startingDeadlineSeconds: {}
  startingDeadlineSeconds: 3600

Comment 4 errata-xmlrpc 2020-07-13 17:42:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.